Subject: Re: [bug#35446] [PATCH 03/26] gnu: calibre: Update to 3.41.3.

From: Brendan Tildesley <[email-masked]>
Date: Sat, 4 May 2019 02:49:13 +1000

On 5/3/19 9:57 PM, Andreas Enge wrote:
> Hello,
>
> On Sat, Apr 27, 2019 at 07:36:36PM +1000, Brendan Tildesley wrote:
>> * gnu/packages/ebook.scm (calibre): Update to 3.41.3. This breaks the build
>>   until my followup patches.
> could you prepare a minimal patch that updates calibre and includes all
> modifications to make it work? I think it will be desirable to be "atomic"
> in the sense that after every commit, we have a functioning Guix.
> Unbundling patches etc. can then come one by one, but again such that
> "guix build calibre" should work at all times.
I ended up redoing the whole patch set, and fixed a small problems, and
made sure it applies to the latest master. Actually Calibre 3.42.0 is
out now so I added that on the end (its too difficult to rebase it back
on to the original update to 3.41.3, so im sending both updates.). Also,
in git send-email i accidentally set the last patch's char encoding to
'y', hopefully it doesn't break anything.
>
> Thanks!
>
> Andreas
>
> PS: I considered applying some later patches like your change of e-mail
>     address, but this one did not apply on current master, and then I
>     thought that maybe it will be easier for you if I do not take patches
>     out of order.
>